Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/dlkp.h File Reference

Discrete Logarithm Keypair, header. More...

`#include "dlpk.h"`

Go to the source code of this file.

## Data Structures
struct | dlkp_p
## Functions
int | dlkp_pPair (dlkp_p *kp, randomGeneratorContext *rgc, const dldp_p *param)
int | dlkp_pInit (dlkp_p *kp)
int | dlkp_pFree (dlkp_p *kp)
int | dlkp_pCopy (dlkp_p *dst, const dlkp_p *src)

## Detailed Description

Discrete Logarithm Keypair, header.

Definition in file dlkp.h.

## Function Documentation

int dlkp_pCopy | ( | dlkp_p * | dst,
|  | const dlkp_p * | src
| ) |

| Definition at line 70 of file dlkp.c.

int dlkp_pFree | ( | dlkp_p * | kp | ) |

| Definition at line 57 of file dlkp.c. References BEECRYPTAPI.

int dlkp_pInit | ( | dlkp_p * | kp | ) |

| Definition at line 46 of file dlkp.c. References BEECRYPTAPI.

int dlkp_pPair | ( | dlkp_p * | kp,
|  | randomGeneratorContext * | rgc,
|  | const dldp_p * | param
| ) |

| Definition at line 34 of file dlkp.c.